$packageName = 'wincrypt-sshagent'
$appName = 'WinCryptSSHAgent'

$url = 'https://github.com/buptczq/WinCryptSSHAgent/releases/download/v1.1.1/WinCryptSSHAgent.exe'

$dir = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$processName = $appName;
$exe = $processName + '.exe'
$fullPath = Join-Path -Path $dir -ChildPath $exe
$checksum = 'c16b7b25784b5b8da42ea4721564fb3f7cb45d41ccb49f2b3c870cbd6d420bacd830b5e81cc010298c1e2d6e7b776a5a87e02abd74dbade53093feb6b1fb9518'
$checksumType = 'sha512'

$startFolder = $appName

Function CreateStartMenuShortcut {
    $startMenuFolderPath = Join-Path -Path ([Environment]::GetFolderPath('Programs')) `
        -ChildPath $startFolder
    New-Item $startMenuFolderPath -Type Directory -ErrorAction SilentlyContinue
    If (Test-Path -Path $startMenuFolderPath -PathType Container) {
            Install-ChocolateyShortcut -shortcutFilePath `
                (Join-Path -Path $startMenuFolderPath -ChildPath ($appName + '.lnk')) `
                -targetPath $fullPath -workingDirectory $dir
    } Else {
        Write-Warning "Start menu folder couldn't be created."
    }
}

# SCRIPT STARTS HERE #

Stop-Process -Name $processName -ErrorAction SilentlyContinue

# Workaround for https://github.com/chocolatey/choco/issues/952
Remove-Item -Path $fullPath -Force -Confirm:$FALSE -ErrorAction SilentlyContinue

Get-ChocolateyWebFile -PackageName $packageName -FileFullPath $fullPath -Url64bit $url -ChecksumType $checksumType -Checksum64 $checksum -ChecksumType64 $ChecksumType

# create .gui file
New-Item -Path $dir -Name ($exe + '.gui') -ItemType file

CreateStartMenuShortcut